# You can delete a single event by passing its event ID in both the value of the `start_id` and `end_id` params:
curl -X DELETE \
-H "Authorization: Bearer <api key>" \
"https://api.pipedream.com/v1/sources/dc_abc123/events?start_id=1589486981598-0&end_id=1589486981598-0"
Deletion happens asynchronously, so you’ll receive a `202 Accepted` HTTP status code in response to any deletion requests.
Delete source events
DELETE
/
sources
/
{id}
/
events
# You can delete a single event by passing its event ID in both the value of the `start_id` and `end_id` params:
curl -X DELETE \
-H "Authorization: Bearer <api key>" \
"https://api.pipedream.com/v1/sources/dc_abc123/events?start_id=1589486981598-0&end_id=1589486981598-0"
Deletion happens asynchronously, so you’ll receive a `202 Accepted` HTTP status code in response to any deletion requests.
Delete source events
Deletes all events, or a specific set of events, tied to a source. By default, making aDELETE request to this endpoint deletes all events associated with a source. To delete a specific event, or a range of events, you can use the start_id and end_id parameters.
These IDs can be retrieved by using the GET /sources/{id}/event_summaries endpoint, and are tied to the timestamp at which the event was emitted — e.g. 1589486981597-0. They are therefore naturally ordered by time.
Endpoint
DELETE /sources/{id}/events
Parameters
string
The event ID from which you’d like to start deleting events.If The request will delete the last two events.
start_id is passed without end_id, the request will delete all events starting with and including this event ID. For example, if your source has 3 events:1589486981597-01589486981598-01589486981599-0
DELETE request like so:curl -X DELETE \
-H "Authorization: Bearer <api key>" \
"https://api.pipedream.com/v1/sources/dc_abc123/events?start_id=1589486981598-0"
string
The event ID from which you’d like to end the range of deletion.If The request will delete the first two events.
end_id is passed without start_id, the request will delete all events up to and including this event ID. For example, if your source has 3 events:1589486981597-01589486981598-01589486981599-0
DELETE request like so:curl -X DELETE \
-H "Authorization: Bearer <api key>" \
"https://api.pipedream.com/v1/sources/dc_abc123/events?end_id=1589486981598-0"
# You can delete a single event by passing its event ID in both the value of the `start_id` and `end_id` params:
curl -X DELETE \
-H "Authorization: Bearer <api key>" \
"https://api.pipedream.com/v1/sources/dc_abc123/events?start_id=1589486981598-0&end_id=1589486981598-0"
Deletion happens asynchronously, so you’ll receive a `202 Accepted` HTTP status code in response to any deletion requests.
Was this page helpful?